%define base_name		kde-styles
%define theme_name		klearlook
%define name			%base_name-%theme_name
%define content_id		31717	

Name: %name
Version: 0.9.9.2
Release: alt1

Group: Graphical desktop/KDE
Summary: KDE Style
License: GPL
Url: http://www.kde-look.org/content/show.php?content=%content_id

Source: %content_id-%theme_name-%version.tar.bz2
#Patch:	%name-makefile-alt.patch
# Automatically added by buildreq on Fri Dec 03 2004 (-bi)
BuildRequires: gcc-c++ kdelibs-devel libstdc++-devel zlib-devel libjpeg-devel

%description
Clearlook-like KDE style.

%prep
%setup -q -n %theme_name-%version
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s/\-lDCOP/-lDCOP -lpthread/g" admin/acinclude.m4.in
subst "s/\-lkdefx/-lkdefx -lpthread/g" admin/acinclude.m4.in
subst "s/\-lkdecore/-lkdecore -lpthread/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
echo "#define VERSION \"%version\"" > kde/version.h
#%patch -p1

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"
%make -f admin/Makefile.common
%configure \
    --disable-debug \
    --disable-rpath \
    --enable-shared \
    --without-arts \
    --enable-final
%make

%install
%makeinstall

%files
%doc ChangeLog README TODO VERSION
%dir %_libdir/kde3/
%_libdir/kde3/*%{theme_name}*
%_libdir/kde3/plugins/styles/%{theme_name}*
%_datadir/apps/*/*/*



%changelog
* Wed May 03 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.9.9.2-alt1
- Bugfix release build 

* Fri Apr 28 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.9.9-alt1
- Build for sisyphus

